/*

NameGenerator
por Herbert Spencer
Febrero de 2008 

*/



void setup(){
  size(900, 600);
  tipo = loadFont("bodoni150.vlw");
  sans = loadFont("sans.vlw");
  smooth();
  noLoop();
  input = '1'; // default
  NombresAntiguos = loadStrings("nombres.txt");
  grabar = false;
  haGrabado = false;
  recCount = 0;
  // dejar los contadores en 0
  for(int i = 0; i < vocalCount.length; i++){
    vocalCount[i] = 0;
  }
  for(int i = 0; i < consonanteCount.length; i++){
    consonanteCount[i] = 0;
  }
  textAlign(CENTER);
}

void draw(){
  background(0);

  if(!grabar){
    generaNombre();
    pintaNombre();
  }
  else{
    pintaNombre();
    fill(255);
    text(nombre + " se ha grabado al archivo de texto", width/2, 50);
    grabar = false;
  }

  barrasVocales();
  barrasConsonantes();
  instrucciones();
}

